<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.xslf.usermodel Class Hierarchy (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.xslf.usermodel Class Hierarchy (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xslf/model/package-tree.html">Prev</a></li>
        <li><a href="../../../../../org/apache/poi/xslf/util/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xslf/usermodel/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 class="title">Hierarchy For Package org.apache.poi.xslf.usermodel</h1>
    <span class="packageHierarchyLabel">Package Hierarchies:</span>
    <ul class="horizontal">
        <li><a href="../../../../../overview-tree.html">All Packages</a></li>
    </ul>
</div>
<div class="contentContainer">
    <h2 title="Class Hierarchy">Class Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">org.apache.poi.ooxml.<a
                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                        title="class in org.apache.poi.ooxml"><span class="typeNameLink">POIXMLDocumentPart</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.ooxml.<a
                                href="../../../../../org/apache/poi/ooxml/POIXMLDocument.html"
                                title="class in org.apache.poi.ooxml"><span
                                class="typeNameLink">POIXMLDocument</span></a> (implements java.io.Closeable)
                            <ul>
                                <li type="circle">org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XMLSlideShow.html"
                                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XMLSlideShow</span></a>
                                    (implements org.apache.poi.sl.usermodel.<a
                                            href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                            title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;)
                                </li>
                                <li type="circle">org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlideShow.html"
                                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFSlideShow</span></a>
                                </li>
                            </ul>
                        </li>
                        <li type="circle">org.apache.poi.xddf.usermodel.chart.<a
                                href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
                                title="class in org.apache.poi.xddf.usermodel.chart"><span class="typeNameLink">XDDFChart</span></a>
                            (implements org.apache.poi.xddf.usermodel.text.<a
                                    href="../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html"
                                    title="interface in org.apache.poi.xddf.usermodel.text">TextContainer</a>)
                            <ul>
                                <li type="circle">org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFChart.html"
                                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFChart</span></a>
                                </li>
                            </ul>
                        </li>
                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFCommentAuthors.html"
                                title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFCommentAuthors</span></a>
                        </li>
                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFComments.html"
                                title="class in org.apache.poi.xslf.usermodel"><span
                                class="typeNameLink">XSLFComments</span></a></li>
                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFObjectData.html"
                                title="class in org.apache.poi.xslf.usermodel"><span
                                class="typeNameLink">XSLFObjectData</span></a> (implements
                            org.apache.poi.sl.usermodel.<a
                                    href="../../../../../org/apache/poi/sl/usermodel/ObjectData.html"
                                    title="interface in org.apache.poi.sl.usermodel">ObjectData</a>)
                        </li>
                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureData.html"
                                title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFPictureData</span></a>
                            (implements org.apache.poi.sl.usermodel.<a
                                    href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a>)
                        </li>
                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFSheet.html"
                                title="class in org.apache.poi.xslf.usermodel"><span
                                class="typeNameLink">XSLFSheet</span></a> (implements org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                title="interface in org.apache.poi.sl.usermodel">Sheet</a>&lt;S,P&gt;,
                            org.apache.poi.xslf.usermodel.<a
                                    href="../../../../../org/apache/poi/xslf/usermodel/XSLFShapeContainer.html"
                                    title="interface in org.apache.poi.xslf.usermodel">XSLFShapeContainer</a>)
                            <ul>
                                <li type="circle">org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFNotes.html"
                                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFNotes</span></a>
                                    (implements org.apache.poi.sl.usermodel.<a
                                            href="../../../../../org/apache/poi/sl/usermodel/Notes.html"
                                            title="interface in org.apache.poi.sl.usermodel">Notes</a>&lt;S,P&gt;)
                                </li>
                                <li type="circle">org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFNotesMaster.html"
                                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFNotesMaster</span></a>
                                    (implements org.apache.poi.sl.usermodel.<a
                                            href="../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                            title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;S,P&gt;)
                                </li>
                                <li type="circle">org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlide.html"
                                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFSlide</span></a>
                                    (implements org.apache.poi.sl.usermodel.<a
                                            href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;S,P&gt;)
                                </li>
                                <li type="circle">org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlideLayout.html"
                                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFSlideLayout</span></a>
                                    (implements org.apache.poi.sl.usermodel.<a
                                            href="../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                            title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;S,P&gt;)
                                </li>
                                <li type="circle">org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlideMaster.html"
                                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFSlideMaster</span></a>
                                    (implements org.apache.poi.sl.usermodel.<a
                                            href="../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                            title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;S,P&gt;)
                                </li>
                            </ul>
                        </li>
                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableStyles.html"
                                title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFTableStyles</span></a>
                            (implements java.lang.Iterable&lt;T&gt;)
                        </li>
                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTheme.html"
                                title="class in org.apache.poi.xslf.usermodel"><span
                                class="typeNameLink">XSLFTheme</span></a></li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.ooxml.<a href="../../../../../org/apache/poi/ooxml/POIXMLFactory.html"
                                                          title="class in org.apache.poi.ooxml"><span
                        class="typeNameLink">POIXMLFactory</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFFactory.html"
                                title="class in org.apache.poi.xslf.usermodel"><span
                                class="typeNameLink">XSLFFactory</span></a></li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.ooxml.<a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                                          title="class in org.apache.poi.ooxml"><span
                        class="typeNameLink">POIXMLRelation</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                title="class in org.apache.poi.xslf.usermodel"><span
                                class="typeNameLink">XSLFRelation</span></a></li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html"
                        title="class in org.apache.poi.sl.usermodel"><span class="typeNameLink">SlideShowFactory</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlideShowFactory.html"
                                title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFSlideShowFactory</span></a>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.xslf.usermodel.<a
                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFColor.html"
                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFColor</span></a>
                </li>
                <li type="circle">org.apache.poi.xslf.usermodel.<a
                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFComment.html"
                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFComment</span></a>
                    (implements org.apache.poi.sl.usermodel.<a
                            href="../../../../../org/apache/poi/sl/usermodel/Comment.html"
                            title="interface in org.apache.poi.sl.usermodel">Comment</a>)
                </li>
                <li type="circle">org.apache.poi.xslf.usermodel.<a
                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFDrawing.html"
                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFDrawing</span></a>
                </li>
                <li type="circle">org.apache.poi.xslf.usermodel.<a
                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFHyperlink.html"
                        title="class in org.apache.poi.xslf.usermodel"><span
                        class="typeNameLink">XSLFHyperlink</span></a> (implements org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/Hyperlink.html"
                        title="interface in org.apache.poi.sl.usermodel">Hyperlink</a>&lt;S,P&gt;)
                </li>
                <li type="circle">org.apache.poi.xslf.usermodel.<a
                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFMetroShape.html"
                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFMetroShape</span></a>
                </li>
                <li type="circle">org.apache.poi.xslf.usermodel.<a
                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPlaceholderDetails.html"
                        title="class in org.apache.poi.xslf.usermodel"><span
                        class="typeNameLink">XSLFPlaceholderDetails</span></a> (implements
                    org.apache.poi.sl.usermodel.<a
                            href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html"
                            title="interface in org.apache.poi.sl.usermodel">PlaceholderDetails</a>)
                </li>
                <li type="circle">org.apache.poi.xslf.usermodel.<a
                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFShape</span></a>
                    (implements org.apache.poi.sl.usermodel.<a
                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;)
                    <ul>
                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html"
                                title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFGraphicFrame</span></a>
                            (implements org.apache.poi.sl.usermodel.<a
                                    href="../../../../../org/apache/poi/sl/usermodel/GraphicalFrame.html"
                                    title="interface in org.apache.poi.sl.usermodel">GraphicalFrame</a>&lt;S,P&gt;)
                            <ul>
                                <li type="circle">org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFObjectShape.html"
                                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFObjectShape</span></a>
                                    (implements org.apache.poi.sl.usermodel.<a
                                            href="../../../../../org/apache/poi/sl/usermodel/ObjectShape.html"
                                            title="interface in org.apache.poi.sl.usermodel">ObjectShape</a>&lt;S,P&gt;)
                                </li>
                                <li type="circle">org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html"
                                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFTable</span></a>
                                    (implements java.lang.Iterable&lt;T&gt;, org.apache.poi.sl.usermodel.<a
                                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                            title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;S,P&gt;)
                                </li>
                            </ul>
                        </li>
                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFGroupShape.html"
                                title="class in org.apache.poi.xslf.usermodel"><span
                                class="typeNameLink">XSLFGroupShape</span></a> (implements
                            org.apache.poi.sl.usermodel.<a
                                    href="../../../../../org/apache/poi/sl/usermodel/GroupShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">GroupShape</a>&lt;S,P&gt;,
                            org.apache.poi.xslf.usermodel.<a
                                    href="../../../../../org/apache/poi/xslf/usermodel/XSLFShapeContainer.html"
                                    title="interface in org.apache.poi.xslf.usermodel">XSLFShapeContainer</a>)
                        </li>
                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShadow.html"
                                title="class in org.apache.poi.xslf.usermodel"><span
                                class="typeNameLink">XSLFShadow</span></a> (implements org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/Shadow.html"
                                title="interface in org.apache.poi.sl.usermodel">Shadow</a>&lt;S,P&gt;)
                        </li>
                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html"
                                title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFSimpleShape</span></a>
                            (implements org.apache.poi.sl.usermodel.<a
                                    href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">SimpleShape</a>&lt;S,P&gt;)
                            <ul>
                                <li type="circle">org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFBackground.html"
                                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFBackground</span></a>
                                    (implements org.apache.poi.sl.usermodel.<a
                                            href="../../../../../org/apache/poi/sl/usermodel/Background.html"
                                            title="interface in org.apache.poi.sl.usermodel">Background</a>&lt;S,P&gt;)
                                </li>
                                <li type="circle">org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFConnectorShape.html"
                                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFConnectorShape</span></a>
                                    (implements org.apache.poi.sl.usermodel.<a
                                            href="../../../../../org/apache/poi/sl/usermodel/ConnectorShape.html"
                                            title="interface in org.apache.poi.sl.usermodel">ConnectorShape</a>&lt;S,P&gt;)
                                </li>
                                <li type="circle">org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html"
                                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFPictureShape</span></a>
                                    (implements org.apache.poi.sl.usermodel.<a
                                            href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                                            title="interface in org.apache.poi.sl.usermodel">PictureShape</a>&lt;S,P&gt;)
                                </li>
                                <li type="circle">org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextShape.html"
                                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFTextShape</span></a>
                                    (implements org.apache.poi.xddf.usermodel.text.<a
                                            href="../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html"
                                            title="interface in org.apache.poi.xddf.usermodel.text">TextContainer</a>,
                                    org.apache.poi.sl.usermodel.<a
                                            href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                            title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;S,P&gt;)
                                    <ul>
                                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFAutoShape.html"
                                                title="class in org.apache.poi.xslf.usermodel"><span
                                                class="typeNameLink">XSLFAutoShape</span></a> (implements
                                            org.apache.poi.sl.usermodel.<a
                                                    href="../../../../../org/apache/poi/sl/usermodel/AutoShape.html"
                                                    title="interface in org.apache.poi.sl.usermodel">AutoShape</a>&lt;S,P&gt;)
                                            <ul>
                                                <li type="circle">org.apache.poi.xslf.usermodel.<a
                                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFFreeformShape.html"
                                                        title="class in org.apache.poi.xslf.usermodel"><span
                                                        class="typeNameLink">XSLFFreeformShape</span></a> (implements
                                                    org.apache.poi.sl.usermodel.<a
                                                            href="../../../../../org/apache/poi/sl/usermodel/FreeformShape.html"
                                                            title="interface in org.apache.poi.sl.usermodel">FreeformShape</a>&lt;S,P&gt;)
                                                </li>
                                                <li type="circle">org.apache.poi.xslf.usermodel.<a
                                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextBox.html"
                                                        title="class in org.apache.poi.xslf.usermodel"><span
                                                        class="typeNameLink">XSLFTextBox</span></a> (implements
                                                    org.apache.poi.sl.usermodel.<a
                                                            href="../../../../../org/apache/poi/sl/usermodel/TextBox.html"
                                                            title="interface in org.apache.poi.sl.usermodel">TextBox</a>&lt;S,P&gt;)
                                                </li>
                                            </ul>
                                        </li>
                                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableCell.html"
                                                title="class in org.apache.poi.xslf.usermodel"><span
                                                class="typeNameLink">XSLFTableCell</span></a> (implements
                                            org.apache.poi.sl.usermodel.<a
                                                    href="../../../../../org/apache/poi/sl/usermodel/TableCell.html"
                                                    title="interface in org.apache.poi.sl.usermodel">TableCell</a>&lt;S,P&gt;)
                                        </li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.xslf.usermodel.<a
                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableRow.html"
                        title="class in org.apache.poi.xslf.usermodel"><span
                        class="typeNameLink">XSLFTableRow</span></a> (implements java.lang.Iterable&lt;T&gt;)
                </li>
                <li type="circle">org.apache.poi.xslf.usermodel.<a
                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableStyle.html"
                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFTableStyle</span></a>
                </li>
                <li type="circle">org.apache.poi.xslf.usermodel.<a
                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTabStop.html"
                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFTabStop</span></a>
                    (implements org.apache.poi.sl.usermodel.<a
                            href="../../../../../org/apache/poi/sl/usermodel/TabStop.html"
                            title="interface in org.apache.poi.sl.usermodel">TabStop</a>)
                </li>
                <li type="circle">org.apache.poi.xslf.usermodel.<a
                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                        title="class in org.apache.poi.xslf.usermodel"><span
                        class="typeNameLink">XSLFTextParagraph</span></a> (implements org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,T&gt;)
                </li>
                <li type="circle">org.apache.poi.xslf.usermodel.<a
                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextRun.html"
                        title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFTextRun</span></a>
                    (implements org.apache.poi.sl.usermodel.<a
                            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                            title="interface in org.apache.poi.sl.usermodel">TextRun</a>)
                </li>
            </ul>
        </li>
    </ul>
    <h2 title="Interface Hierarchy">Interface Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Iterable&lt;T&gt;
            <ul>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                        title="interface in org.apache.poi.sl.usermodel"><span
                        class="typeNameLink">ShapeContainer</span></a>&lt;S,P&gt;
                    <ul>
                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShapeContainer.html"
                                title="interface in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFShapeContainer</span></a>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <h2 title="Enum Hierarchy">Enum Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;,
                    java.io.Serializable)
                    <ul>
                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableStyle.TablePartStyle.html"
                                title="enum in org.apache.poi.xslf.usermodel"><span class="typeNameLink">XSLFTableStyle.TablePartStyle</span></a>
                        </li>
                        <li type="circle">org.apache.poi.xslf.usermodel.<a
                                href="../../../../../org/apache/poi/xslf/usermodel/SlideLayout.html"
                                title="enum in org.apache.poi.xslf.usermodel"><span
                                class="typeNameLink">SlideLayout</span></a></li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xslf/model/package-tree.html">Prev</a></li>
        <li><a href="../../../../../org/apache/poi/xslf/util/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xslf/usermodel/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
